/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomStyleSheet_H___INT_
#define __GdomStyleSheet_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "StyleSheet.h"
G_BEGIN_DECLS
class GDOMStyleSheet : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_STYLE_SHEET; }
    GDOMStyleSheet(PassRefPtr<WebCore::StyleSheet> impl);
    virtual ~GDOMStyleSheet();
    WebCore::StyleSheet* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::StyleSheet> m_impl;
};
G_END_DECLS

#endif /* __GdomStyleSheet_H___INT_*/
